#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
const int N = 1e5 + 50;
typedef long long ll;
ll v[N], t[N];
int main()
{
    int n;
    scanf("%d", &n);
    for (int i = 1; i <= n; i++) scanf("%lld", v + i);
    for (int i = 1; i <= n; i++) scanf("%lld", t + i);
    for (int i = 1; i <= n; i++) t[i] += t[i - 1];
    for (int i = 1; i <= n; i++) v[i] += t[i - 1];
    multiset<ll> s;
    for (int i = 1; i <= n; i++)
    {
        s.insert(v[i]);
        ll ans = 0;
        while (!s.empty() && *s.begin() <= t[i])
            ans += *s.begin() - t[i - 1], s.erase(s.begin());
        ans += (t[i] - t[i - 1]) * s.size();
        printf("%lld ", ans);
    }
    return 0;
}
